YSTest: YSLib::Components::Visual Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Attributes | List of all members
YSLib::Components::Visual Class Reference

可视状态。 More...

`#include <ywgtview.h>`

Collaboration diagram for YSLib::Components::Visual:
[legend]

## Public Member Functions

| Visual (const Rect &={})
| 构造：使用指定边界。
bool | IsVisible () const ynothrow
SPos | GetX () const ynothrow
SPos | GetY () const ynothrow
SDst | GetWidth () const ynothrow
SDst | GetHeight () const ynothrow
const Point & | GetLocation () const ynothrow
const Size & | GetSize () const ynothrow
Point & | GetLocationRef () ynothrow
Size & | GetSizeRef () ynothrow
void | SetVisible (bool _tempArgName)
void | SetX (SPos x)
| 设置位置：横坐标。
void | SetY (SPos y)
| 设置位置：纵坐标。
void | SetWidth (SDst w)
| 设置大小：宽。
void | SetHeight (SDst h)
| 设置大小：高。
void | SetLocation (const Point &_tempArgName)
| 设置位置。
void | SetLocation (SPos x, SPos y)
| 设置位置。
void | SetSize (const Size &_tempArgName)
| 设置大小。
void | SetSize (SDst w, SDst h)
| 设置大小。

## Private Attributes

bool | visible
| 可见性。
Point | location
| 左上角所在位置（相对于容器的偏移坐标）。
Size | size
| 部件大小。

## Detailed Description

可视状态。

Warning
  非虚析构。

Since
  build 168

Definition at line 60 of file ywgtview.h.

## Constructor & Destructor Documentation

Visual::Visual | ( | const Rect & | r = `{}` | ) |

构造：使用指定边界。

Since
  build 337

Definition at line 36 of file ywgtview.cpp.

## Member Function Documentation

SDst YSLib::Components::Visual::GetHeight | ( |  | ) | const

inline

Definition at line 79 of file ywgtview.h.

const Point& YSLib::Components::Visual::GetLocation | ( |  | ) | const

inline

Definition at line 80 of file ywgtview.h.

Point& YSLib::Components::Visual::GetLocationRef | ( |  | ) |

inline

Since
  build 307

Definition at line 83 of file ywgtview.h.

const Size& YSLib::Components::Visual::GetSize | ( |  | ) | const

inline

Definition at line 81 of file ywgtview.h.

Size& YSLib::Components::Visual::GetSizeRef | ( |  | ) |

inline

Since
  build 307

Definition at line 85 of file ywgtview.h.

SDst YSLib::Components::Visual::GetWidth | ( |  | ) | const

inline

Definition at line 78 of file ywgtview.h.

SPos YSLib::Components::Visual::GetX | ( |  | ) | const

inline

Definition at line 76 of file ywgtview.h.

SPos YSLib::Components::Visual::GetY | ( |  | ) | const

inline

Definition at line 77 of file ywgtview.h.

bool YSLib::Components::Visual::IsVisible | ( |  | ) | const

inline

Definition at line 74 of file ywgtview.h.

void YSLib::Components::Visual::SetHeight | ( | SDst | h | ) |

inline

设置大小：高。

Note
  非虚 `public` 实现。

Definition at line 110 of file ywgtview.h.

void YSLib::Components::Visual::SetLocation | ( | const Point & | _tempArgName | ) |

inline

设置位置。

Definition at line 115 of file ywgtview.h.

void YSLib::Components::Visual::SetLocation | ( | SPos | x,
|  | SPos | y
| ) |  |

inline

设置位置。

Note
  非虚 `public` 实现。

Definition at line 120 of file ywgtview.h.

void YSLib::Components::Visual::SetSize | ( | const Size & | _tempArgName | ) |

inline

设置大小。

Note
  虚 `public` 实现。

Definition at line 126 of file ywgtview.h.

void YSLib::Components::Visual::SetSize | ( | SDst | w,
|  | SDst | h
| ) |  |

inline

设置大小。

Note
  非虚 `public` 实现。

Definition at line 131 of file ywgtview.h.

void YSLib::Components::Visual::SetVisible | ( | bool | _tempArgName | ) |

inline

Definition at line 87 of file ywgtview.h.

void YSLib::Components::Visual::SetWidth | ( | SDst | w | ) |

inline

设置大小：宽。

Note
  非虚 `public` 实现。

Definition at line 104 of file ywgtview.h.

void YSLib::Components::Visual::SetX | ( | SPos | x | ) |

inline

设置位置：横坐标。

Note
  非虚 `public` 实现。

Definition at line 92 of file ywgtview.h.

void YSLib::Components::Visual::SetY | ( | SPos | y | ) |

inline

设置位置：纵坐标。

Note
  非虚 `public` 实现。

Definition at line 98 of file ywgtview.h.

## Member Data Documentation

Point YSLib::Components::Visual::location

private

左上角所在位置（相对于容器的偏移坐标）。

Definition at line 64 of file ywgtview.h.

Size YSLib::Components::Visual::size

private

部件大小。

Definition at line 65 of file ywgtview.h.

bool YSLib::Components::Visual::visible

private

可见性。

Definition at line 63 of file ywgtview.h.

The documentation for this class was generated from the following files:

- ywgtview.h
- ywgtview.cpp